EZHFTN(3NCARG)

NAME
EZHFTN - draws a half-tone picture from data stored in a rectangular array with the intensity in the picture proportional to the data value.

UTILITY
This routine is part of the Halftone utility in NCAR Graphics. To see the overview man page for this utility, type "man halftone".

STATUS
EZHFTN is obsolete. It has been replaced by the CPCICA entry of the Conpack contouring package.

EZHFTN continues to be provided for compatibility of early NCAR Graphics codes. If you are writing new code, we suggest that you use CPCICA.

SYNOPSIS
CALL EZHFTN (Z,M,N)

DESCRIPTION

Z   (an input array of type REAL) defining a two-dimensional field to be half-tone plotted.

M   (an input parameter of type INTEGER) which is the first dimension of the Z array.

N   (an input parameter of type INTEGER) which is the second dimension of the Z array.

USAGE
EZHFTN has a shortened argument list from entry HAFTON which is based upon the following assumptions.

1.  The entire Z array is to be plotted.
2.  The lowest value in Z will be at the lowest intensity of the output device.
3.  The highest value in Z will be at the highest intensity of the output device.
4.  Other values in Z will appear linearly spaced.
5.  The maximum number of intensities will be used.
6.  The picture will have a perimeter drawn.
7.  The frame will be advanced after the picture is drawn.
8.  The Z array contains no missing values.

If these conditions are not met, use the HAFTON entry.

ACCESS
To use EZHFTN, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: halftone, hafton, halftone_params, conpack, conpack_params, cpcica

Hardcopy: NCAR Graphics Contouring and Mapping Tutorial; NCAR Graphics Fundamentals, UNIX Version; User's Guide for NCAR GKS-0A Graphics

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.